#!/bin/bash
#shellcheck disable=SC1091,SC2154,SC2155
# This helper script will handle uninstalling Cloudfront
set -e

source /scripts/utils.sh

## === Delete Secrets ===
print_header "Cleaning up kube secrets"
check_access "${infraNamespace}" secrets
check_access "${appsNamespace}" secrets
secretName=${namingPrefix}-signer-certificate
run_cmd kubectl --namespace "${appsNamespace}" delete secret "${secretName}" --ignore-not-found

## == Kubernetes ==
print_header "Cleaning up kube resources"
arnConfigMapName="${namingPrefix}-arn"

run_cmd kubectl --namespace "${appsNamespace}" delete configmap "${arnConfigMapName}" --ignore-not-found
run_cmd kubectl --namespace "${infraNamespace}" delete configmap "${arnConfigMapName}" --ignore-not-found

outputsConfigMapName=${namingPrefix}-outputs
run_cmd  kubectl --namespace ${appsNamespace} delete configmap ${outputsConfigMapName} --ignore-not-found
run_cmd  kubectl --namespace ${infraNamespace} delete configmap ${outputsConfigMapName} --ignore-not-found

print_header "Kubernetes outputs cleanup complete, use cloud custodian tool to delete AWS resources"
print_header "$0 done."
